OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.DrawIndirect

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_draw_indirect extension, see http://www.opengl.org/registry/specs/ARB/draw_indirect.txt.

Synopsis

- glDrawArraysIndirect :: GLenum -> Ptr a -> IO ()
- glDrawElementsIndirect :: GLenum -> GLenum -> Ptr a -> IO ()
- gl_DRAW_INDIRECT_BUFFER :: GLenum
- gl_DRAW_INDIRECT_BUFFER_BINDING :: GLenum

# Functions

glDrawArraysIndirect :: GLenum -> Ptr a -> IO ()

glDrawElementsIndirect :: GLenum -> GLenum -> Ptr a -> IO ()

# Tokens

gl_DRAW_INDIRECT_BUFFER :: GLenum

gl_DRAW_INDIRECT_BUFFER_BINDING :: GLenum